RequirementDTO
Date: 2016-06-24

org.osgi.resource.dto

## Class RequirementDTO

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.resource.dto.RequirementDTO

-     public class RequirementDTO
      extends DTO

  Data Transfer Object for a Requirement.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Object>` | `attributes` The attributes for the requirement.
    `java.util.Map<java.lang.String,java.lang.String>` | `directives` The directives for the requirement.
    `int` | `id` The unique identifier of the requirement.
    `java.lang.String` | `namespace` The namespace for the requirement.
    `int` | `resource` The identifier of the resource declaring the requirement.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequirementDTO()`

  - ### Method Summary

    - ### Methods inherited from class org.osgi.dto.DTO

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          public int id

      The unique identifier of the requirement.

      This identifier is transiently assigned and may vary across restarts.

    - #### namespace

          public java.lang.String namespace

      The namespace for the requirement.
      See Also:
        `Requirement.getNamespace()`

    - #### directives

          public java.util.Map<java.lang.String,java.lang.String> directives

      The directives for the requirement.
      See Also:
        `Requirement.getDirectives()`

    - #### attributes

          public java.util.Map<java.lang.String,java.lang.Object> attributes

      The attributes for the requirement.

      The value type must be a numerical type, Boolean, String, DTO or an array of any of the former.

      See Also:
        `Requirement.getAttributes()`

    - #### resource

          public int resource

      The identifier of the resource declaring the requirement.
      See Also:
        `ResourceDTO.id`, `Requirement.getResource()`

  - ### Constructor Detail

    - #### RequirementDTO

          public RequirementDTO()